org.eclipse.microprofile.graphql.tck.apps.superhero.api

## Class CsvIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.microprofile.graphql.tck.apps.superhero.api.CsvIOException

All Implemented Interfaces:
  Serializable

    public class CsvIOException
    extends IOException

Extending a IOException to test transitive blacklist

Author:
  Phillip Kruger (phillip.kruger@redhat.com)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CsvIOException()`
`CsvIOException(String string)`
`CsvIOException(String string, Throwable thrwbl)`
`CsvIOException(Throwable thrwbl)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CsvIOException

    public CsvIOException()

#### CsvIOException

    public CsvIOException(String string)

#### CsvIOException

    public CsvIOException(String string,
                          Throwable thrwbl)

#### CsvIOException

    public CsvIOException(Throwable thrwbl)